Bug 218816 - Tape device nodes not created despite st.ko being loaded
Tape device nodes not created despite st.ko being loaded
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
: OtherQA
Depends On:
Blocks: 228988
  Show dependency treegraph
 
Reported: 2006-12-07 12:48 EST by Bastien Nocera
Modified: 2010-10-22 03:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2007-0644
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updates.img for RHEL5.1-Snapshot4 (506.00 KB, application/octet-stream)
2007-09-12 13:14 EDT, David Lehman
no flags Details

  None (edit)
Description Bastien Nocera 2006-12-07 12:48:52 EST
RHEL5 Beta2

1. Boot a machine with a tape device into rescue mode
2. See the st module being loaded:
<6>st: Version 20050830, fixed bufsize 32768, s/g segs 256
<4>st 0:0:4:0: Attached scsi tape st0
<4>st0: try direct i/o: yes (alignment 512 B)

But /dev/st0 doesn't exist.
Comment 1 RHEL Product and Program Management 2006-12-07 13:00:34 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 11 David Lehman 2007-06-13 11:12:09 EDT
Fixed in anaconda-11.1.2.37-1.
Comment 14 John Poelstra 2007-08-24 01:21:10 EDT
A fix for this issue should have been included in the packages contained in the
most recent snapshot (partners.redhat.com) for RHEL5.1.  

Requested action: Please verify that your issue is fixed as soon as possible to
ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

More assistance: If you cannot access bugzilla, please reply with a message to
Issue Tracker and I will change the status for you.  If you need assistance
accessing ftp://partners.redhat.com, please contact your Partner Manager.
Comment 15 James Laska 2007-08-28 13:44:41 EDT
I don't have any tape devices handy ... 

bnocera: do you have such devices handy to verify this fix?  Is this something
NEC could provide test feedback on?
Comment 16 Bastien Nocera 2007-08-28 16:43:53 EDT
I don't, and I'm not a support person anymore (and haven't been for the past 8
months). Jose?
Comment 20 James Laska 2007-09-04 08:54:05 EDT
Moving back to ASSIGNED based on NEC feedback that snap#4 still exhibits this
problem.
Comment 21 David Lehman 2007-09-06 12:17:39 EDT
If anyone has hardware, I would be interested to see the output of the following
command from the shell on tty2 with snap4:

PYTHONPATH=/usr/lib/anaconda python -c 'import isys, kudzu ; print
kudzu.probe(kudzu.CLASS_TAPE, kudzu.BUS_UNSPEC, kudzu.PROBE_SAFE) ; print
isys.tapeDriveList()'
Comment 23 David Lehman 2007-09-07 12:50:52 EDT
For some reason kudzu is unable to determine the device associated with this
tape drive.

Please run the following command from tty2 in rescue mode and attach the full,
unedited output:

for d in /sys/bus/scsi/devices/* ; do
 pushd $d ;
 echo -e "model: $(cat model)\nvendor: $(cat vendor)\ntype: $(cat type)" ;
 ls ; popd ;
done
Comment 28 David Lehman 2007-09-12 13:14:03 EDT
Created attachment 193681 [details]
updates.img for RHEL5.1-Snapshot4

This updates.img contains a proposed fix for bug 218816. The following link
provides information on how to use the updates.img file for testing:

  http://fedoraproject.org/wiki/Anaconda/Updates
Comment 34 John Poelstra 2007-09-20 00:48:51 EDT
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot7 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed ASAP to confirm that it
will be included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 35 James Laska 2007-09-21 15:19:25 EDT
Moving to VERIFIED based on comment#31 feedback from IBM
Comment 39 John Poelstra 2007-09-26 19:46:17 EDT
A fix for this issue should be included in the packages contained in
RHEL5.1-Snapshot8--available now on partners.redhat.com.  

IMPORTANT: This is the last opportunity to confirm that your issue is fixed in
the RHEL5.1 update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 42 errata-xmlrpc 2007-11-07 12:19:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0644.html

Note You need to log in before you can comment on or make changes to this bug.